Marcar una incidencia como leída o no leída
curl --request PUT \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"read": true
}'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read"
payload = { "read": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'read' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({read: true})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"params": {},
"message": "<string>",
"entity": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
},
"action": {
"kind": "link",
"label": "<string>",
"path": "<string>"
},
"read": true,
"createdAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"status": 123,
"code": "core.incident_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Incidencias
Marcar una incidencia como leída o no leída
Marca uno de los problemas de la organización como leído o no leído para ti.
PUT
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
incidents
/
{incidentId}
/
read
Marcar una incidencia como leída o no leída
curl --request PUT \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"read": true
}'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read"
payload = { "read": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'read' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({read: true})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/incidents/{incidentId}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"params": {},
"message": "<string>",
"entity": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
},
"action": {
"kind": "link",
"label": "<string>",
"path": "<string>"
},
"read": true,
"createdAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"status": 123,
"code": "core.incident_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
Respuesta
Correcto
¿Esta página le ayudó?